Subject: [Capwap] CAPWAP protocol issues

From: "Richard Gwee" <[email-masked]>
Date: Tue, 26 Jul 2005 20:18:17 +0800

Hi,
 
I have these few observations and like to seek some clarifications.
 
As we know, CAPWAP has the following objectives of logical groups (sec 5.1.1) and support for traffic separation (sec 5.1.2). The logical groups objective state that the CAPWAP protocol must be capable of managing logical grouping of WTPs while the support for traffic separation objective require that control messages does not involve any form of combination with data traffic. However, i notice that some of the proposed protocols support logical grouping in a incomplete manner. For example, LWAPP in 802.11 networks provides logical grouping through 802.11 binding messages which is only on the wireless domain. I think the CAPWAP protocol should cover both wired and wireless domains in its logical grouping. I believe this can help to make sure that the CAPWAP protocol meets the objectives of logical groups and traffic separation in a more complete manner.
 
Appreciate any comments.
 
Thanks and regards
Richard Gwee

Republic Polytechnic, Tanglin Campus, 1 Kay Siang Road, Singapore 248922 . Website: www.rp.sg . Fax: +65 6415-1310 .

Republic Polytechnic, the first Institute of Higher Learning to fully adopt the Problem-Based Learning approach in Singapore, continues to strive towards best practices and maintain excellence in service standards with the following certifications: Singapore Quality Class (SQC) certification, People Developer Standards and QEHS standards (ISO 9001, 14001 and OHSAS 18001 certifications).
---------------------------------------------------------------------
CONFIDENTIALITY CAUTION: This message is intended only for the use of the individual or entity to whom it is addressed and contains information that is privileged and confidential. If you, the reader of this message, are not the intended recipient, you should not disseminate, distribute or copy this communication. If you have received this communication in error, please notify us immediately by return email and delete the original message. Thank you.

_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Tue, 26 Jul 2005 08:55:08 -0700

That is a fair point. I agree with your assessment that a CAPWAP
protocol must fully describe how logical groups are provided, down to
how user data is mapped on the wire. The LWAPP protocol has two options,
depending upon the architecture:

1. Split MAC (User data tunneled to AC). In this mode, how the mapping
occurs between the SSID and the VLAN is implementation specific since
there is no additional messaging that is required between the AC and the
WTP.
2. Local MAC (User data not tunneled to AC). In this mode, the AC sends
the VLAN for a given user to the WTP. The WTP then assigns the station
to the VLAN ensuring that the logical grouping is observed both over the
air and over the wire. This is discussed in section 11.1.2.

I hope this helps,

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Richard Gwee
> Sent: Tuesday, July 26, 2005 5:18 AM
> To: [email-masked]
> Subject: [Capwap] CAPWAP protocol issues
> 
> Hi,
>  
> As we know, CAPWAP has the following objectives of logical 
> groups (sec 5.1.1) and support for traffic separation (sec 
> 5.1.2). The logical groups objective state that the CAPWAP 
> protocol must be capable of managing logical grouping of WTPs 
> while the support for traffic separation objective require 
> that control messages does not involve any form of 
> combination with data traffic. However, i notice that some of 
> the proposed protocols support logical grouping in a 
> incomplete manner. For example, LWAPP in 802.11 networks 
> provides logical grouping through 802.11 binding messages 
> which is only on the wireless domain. I think the CAPWAP 
> protocol should cover both wired and wireless domains in its 
> logical grouping. I believe this can help to make sure that 
> the CAPWAP protocol meets the objectives of logical groups 
> and traffic separation in a more complete manner.
>  
> Appreciate any comments.
>  
> Thanks and regards
> Richard Gwee
> 
> 
> Republic Polytechnic, Tanglin Campus, 1 Kay Siang Road, 
> Singapore 248922 . Website: www.rp.sg . Fax: +65 6415-1310 .
> 
> Republic Polytechnic, the first Institute of Higher Learning 
> to fully adopt the Problem-Based Learning approach in 
> Singapore, continues to strive towards best practices and 
> maintain excellence in service standards with the following 
> certifications: Singapore Quality Class (SQC) certification, 
> People Developer Standards and QEHS standards (ISO 9001, 
> 14001 and OHSAS 18001 certifications).
> CONFIDENTIALITY CAUTION: This message is intended only for 
> the use of the individual or entity to whom it is addressed 
> and contains information that is privileged and confidential. 
> If you, the reader of this message, are not the intended 
> recipient, you should not disseminate, distribute or copy 
> this communication. If you have received this communication 
> in error, please notify us immediately by return email and 
> delete the original message. Thank you.
>

---

From: "Richard Gwee" <[email-masked]>
Date: Wed, 27 Jul 2005 15:27:19 +0800

Hi,
Thanks for the swift reply. It is great that LWAPP fulfills the logical 
group objective completely. It will be good if any proposed CAPWAP protocols 
can fulfill this objective in a similar manner. For the split-MAC 
architecture, i understand from you that the mapping of the SSID and VLAN is 
implementation specific. I thought that it will be better to actually 
provide a general form of framework in this aspect for more information. 
 
Regards
Richard Gwee

________________________________

From: Pat Calhoun (pacalhou) [mailto:[email-masked]]
Sent: Tue 7/26/2005 11:55 PM
To: Richard Gwee; [email-masked]
Subject: RE: [Capwap] CAPWAP protocol issues

I hope this helps,

Pat Calhoun

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Wed, 27 Jul 2005 08:18:16 -0700

I understand your point in terms of providing some implementation
direction, but my belief is that system behavior is really
implementation specific and allows products to differentiate themselves.
Further, RFC 3580 (ftp://ftp.rfc-editor.org/in-notes/rfc3580.txt) how
the tunnel attribute (section 3.31) is used to map the user to a
specific VLAN. 

Pat Calhoun

> From: Richard Gwee [mailto:[email-masked]] 
> Sent: Wednesday, July 27, 2005 12:27 AM
> To: Pat Calhoun (pacalhou); [email-masked]
> Thanks for the swift reply. It is great that LWAPP fulfills 
> the logical group objective completely. It will be good if 
> any proposed CAPWAP protocols can fulfill this objective in a 
> similar manner. For the split-MAC architecture, i understand 
> from you that the mapping of the SSID and VLAN is 
> implementation specific. I thought that it will be better to 
> actually provide a general form of framework in this aspect 
> for more information. 
>  
> Regards
> Richard Gwee
> 
> That is a fair point. I agree with your assessment that a 
> CAPWAP protocol must fully describe how logical groups are 
> provided, down to how user data is mapped on the wire. The 
> LWAPP protocol has two options, depending upon the architecture:
> 
> 1. Split MAC (User data tunneled to AC). In this mode, how 
> the mapping occurs between the SSID and the VLAN is 
> implementation specific since there is no additional 
> messaging that is required between the AC and the WTP.
> 2. Local MAC (User data not tunneled to AC). In this mode, 
> the AC sends the VLAN for a given user to the WTP. The WTP 
> then assigns the station to the VLAN ensuring that the 
> logical grouping is observed both over the air and over the 
> wire. This is discussed in section 11.1.2.
> 
> I hope this helps,
> 
> Pat Calhoun
> groups (sec 
> > 5.1.1) and support for traffic separation (sec 5.1.2). The logical 
> > groups objective state that the CAPWAP protocol must be capable of 
> > managing logical grouping of WTPs while the support for traffic 
> > separation objective require that control messages does not involve 
> > any form of combination with data traffic. However, i 
> notice that some 
> > of the proposed protocols support logical grouping in a incomplete 
> > manner. For example, LWAPP in 802.11 networks provides logical 
> > grouping through 802.11 binding messages which is only on 
> the wireless 
> > domain. I think the CAPWAP protocol should cover both wired and 
> > wireless domains in its logical grouping. I believe this 
> can help to 
> > make sure that the CAPWAP protocol meets the objectives of logical 
> > groups and traffic separation in a more complete manner.
> > 
> > Appreciate any comments.
> > 
> > Thanks and regards
> > Richard Gwee
> >
> >
> > Republic Polytechnic, Tanglin Campus, 1 Kay Siang Road, Singapore 
> > 248922 . Website: www.rp.sg . Fax: +65 6415-1310 .
> >
> > Republic Polytechnic, the first Institute of Higher 
> Learning to fully 
> > adopt the Problem-Based Learning approach in Singapore, 
> continues to 
> > strive towards best practices and maintain excellence in service 
> > standards with the following
> > certifications: Singapore Quality Class (SQC) certification, People 
> > Developer Standards and QEHS standards (ISO 9001,
> the use of 
> > the individual or entity to whom it is addressed and contains 
> > information that is privileged and confidential.
> > If you, the reader of this message, are not the intended recipient, 
> > you should not disseminate, distribute or copy this 
> communication. If 
> > you have received this communication in error, please notify us 
> > immediately by return email and delete the original message. Thank 
> > you.
> >

---

From: "Richard Gwee" <[email-masked]>
Date: Thu, 28 Jul 2005 22:39:10 +0800

Hi Calhoun,
 
Thanks for the clarification. I appreciate your reply.
 
Regards
Richard Gwee

From: Pat Calhoun (pacalhou) [mailto:[email-masked]]
Sent: Wed 7/27/2005 11:18 PM
To: Richard Gwee; [email-masked]
Subject: RE: [Capwap] CAPWAP protocol issues

Pat Calhoun